<div [ngClass]="{'wait':!((idxPlayer + 1) == currentPlayer) && allNamesEntered}"
  *ngFor="let player of [].constructor(numberOfPlayer); let idxPlayer = index;" class="player-comp">
  <app-player [id]="idxPlayer + 1" (validName)="checkPlayer($event)"></app-player>
</div>
<!-- <app-grid [lineSize]="gameLineSize" [colSize]="gameColSize"></app-grid> -->
<h3 *ngIf="!allNamesEntered">Entrez le nom des joueurs</h3>
<app-grid *ngIf="allNamesEntered" [playerColor]="currentPlayer" (turn)="endTurn($event)"></app-grid>